### Method

# Gtk TreeStore remove

#### Declaration [src]

    gboolean
    gtk_tree_store_remove (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter
    )

#### Description [src]

Removes `iter` from `tree_store`. After being removed, `iter` is set to the next valid row at that level, or invalidated if it previously pointed to the last one.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `iter` is still valid, `FALSE` if not.